io.vertx.ext.hawkular

## Enum MetricsType

- java.lang.Object
- - java.lang.Enum<MetricsType>
  - - io.vertx.ext.hawkular.MetricsType

- All Implemented Interfaces:
    Serializable, Comparable<MetricsType>

      public enum MetricsType
      extends Enum<MetricsType>

  Metrics types for each metrics.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DATAGRAM_SOCKET` Datagram socket metrics.
    `EVENT_BUS` Event bus metrics.
    `HTTP_CLIENT` Http client metrics.
    `HTTP_SERVER` Http server metrics.
    `NAMED_POOLS` Named pools metrics.
    `NET_CLIENT` Net client metrics.
    `NET_SERVER` Net server metrics.
    `VERTICLES` Verticle metrics.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MetricsType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static MetricsType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NET_SERVER

          public static final MetricsType NET_SERVER

      Net server metrics.

    - #### NET_CLIENT

          public static final MetricsType NET_CLIENT

      Net client metrics.

    - #### HTTP_SERVER

          public static final MetricsType HTTP_SERVER

      Http server metrics.

    - #### HTTP_CLIENT

          public static final MetricsType HTTP_CLIENT

      Http client metrics.

    - #### DATAGRAM_SOCKET

          public static final MetricsType DATAGRAM_SOCKET

      Datagram socket metrics.

    - #### EVENT_BUS

          public static final MetricsType EVENT_BUS

      Event bus metrics.

    - #### NAMED_POOLS

          public static final MetricsType NAMED_POOLS

      Named pools metrics.

    - #### VERTICLES

          public static final MetricsType VERTICLES

      Verticle metrics.

  - ### Method Detail

    - #### values

          public static MetricsType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MetricsType c : MetricsType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MetricsType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2017. All rights reserved.